---
title: "Get all subscribers"
slug: "get-all-subscribers"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get all your subscribers."
---
# Get all subscribers

`GET /lists/{MailingListID}/subscribers/{Status}.{Format}`

Retrieves a list of subscribers in a specific email list in your Sitecore Send account. You can filter the list by status. Because this call can return a large number of results, you can add paging information as input.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| MailingListID | path | string | true | The ID of the email list containing the subscribers. |
| Status | path | string | true | Specifies the type of subscriber statistics results to return.Possible values: Subscribed , Unsubscribed , Bounced, Removed. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Page | query | number | false | The page of subscriber statistics results to return. |
| PageSize | query | number | false | The page size of subscriber statistics results to return. |

```http
GET https://{hostname}/v3/lists/{MailingListID}/subscribers/{Status}.{Format}?apikey=&Page=&PageSize=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/lists/{MailingListID}/subscribers/{Status}.{Format}?apikey=&Page=&PageSize='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "Paging": {
      "PageSize": 500,
      "CurrentPage": 1,
      "TotalResults": 2,
      "TotalPageCount": 1,
      "SortExpression": "CreatedOn",
      "SortIsAscending": false
    },
    "Subscribers": \[
      {
        "ID": "4d03536e-7263-4a45-add0-8fe9568d7481",
        "Name": "Maria",
        "Email": "maria@email.com",
        "CreatedOn": "/Date(1456236266953+0000)/",
        "UpdatedOn": "/Date(1465286948363+0100)/",
        "UnsubscribedOn": null,
        "UnsubscribedFromID": null,
        "SubscribeType": 1,
        "SubscribeMethod": 2,
        "CustomFields": \[
          {
            "CustomFieldID": "dbc599a6-3ac0-4843-830c-31fa78699fcc",
            "Name": "ID",
            "Value": "1233"
          },
          {
            "CustomFieldID": "bfe484f1-030f-4f8d-bdfa-93abc3b227c0",
            "Name": "City",
            "Value": "Athens"
          }
        \],
        "RemovedOn": null,
        "Tags": \[
                      "potential",
                      "repeater"
        \],
        "Preferences": \[
          "option a",
          "option b"
        \]
      },
      {
        "ID": "83485f6c-569c-4012-ab2e-f91d3f888995",
        "Name": "Andreas",
        "Email": "andreas@email.com",
        "CreatedOn": "/Date(1454421397847+0000)/",
        "UpdatedOn": "/Date(1465286972657+0100)/",
        "UnsubscribedOn": null,
        "UnsubscribedFromID": null,
        "SubscribeType": 1,
        "SubscribeMethod": 2,
        "CustomFields": \[
          {
            "CustomFieldID": "dbc599a6-3ac0-4843-830c-31fa78699fcc",
            "Name": "ID",
            "Value": "1333"
          },
          {
            "CustomFieldID": "bfe484f1-030f-4f8d-bdfa-93abc3b227c0",
            "Name": "City",
            "Value": "Liverpool"
          }
        \],
        "RemovedOn": null,
        "Tags": \[
                      "potential",
                      "repeater"
        \],
        "Preferences": \[
          "option a",
          "option b"
        \]
      }
    \]
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is null if successful.
    
-   `Context` - an object that contains all the `Paging` and `Subscribers` information in the specific email list:
    
-   `Paging` - an object that contains the following information:
    
    -   `PageSize` - the page size of the results. This is `0` if not defined.
        
    -   `CurrentPage` - the number of the result page. This is `1` if not defined.
        
    -   `Totalresults` - the number of all the subscribers that are included in the response.
        
    -   `TotalPageCount` - the total number of available subscriber pages in your account.
        
    -   `SortExpression` - the sort expression associated with the column or columns being sorted.
        
    -   `SortIsAscending` - this is `false` if the results are not displayed in ascending order based on the sort expression.

-   `Subscribers` - a list of subscribers in the email list containing the following information for each subscriber:
    
    -   `ID` - the ID of the subscriber.
        
    -   `Name` - the name of the subscriber.
        
    -   `Email` - the email address of the subscriber.
        
    -   `CreatedOn` - the date-time the subscriber was added to the email list.
        
    -   `UnsubscribedOn` - the date-time the subscriber was unsubscribed from the email list. This is `null` if not unsubscribed from the list.
        
    -   `UnsubscribedFromID` - the ID that the subscriber is unsubscribed from.
        
    -   `SubscribeType` - the status of the subscriber. For subscribed, this is `1`, for unsubscribed, this is `2`, for bounced, this is `3` , and for removed, this is `4`.
        
    -   `SubscribeMethod` - the method used to subscribe the member to the email list.
        
        -   UI = 1
            
        -   API = 2
            
        -   Form = 3
            
        -   Bulk Import = 4
            
        -   Automation = 5
            
        -   Zapier = 6
            
        -   Mailchimp = 7
            
        -   Website Tracking = 8
            
        -   SMTP = 9
            
        -   Other Plugin = 100

    -   `CustomFields` - a list containing the custom fields of the new subscriber. Each custom field contains the following:
        
        -   `CustomFieldID` - the ID of the custom field.
            
        -   `Name` - the name of the custom field.
            
        -   `Value` - the value of the custom field.

    -   `RemovedOn` - the date-time the subscriber was removed from the email list.
        
    -   `Tags` - a list containing the tags of the new subscriber.
        
    -   `Preferences` - a list containing the preference values of the new subscriber.